
-- Fenetre permettant le flashage de l'cran

Flash= class(Turbine.UI.Window);

FlashDim = 20;
FlashTime = 20;

function Flash:Start(r,g,b)
	if gSettings.debug then
		Includes.Trace("flashStart.....");
	end
	-- Positionne les fenetres
	if r == nil then
		self.color = Turbine.UI.Color(0.5,1,0,0);
	else
		self.color = Turbine.UI.Color(0.5,r,g,b);
	end
	local w,h = Turbine.UI.Display.GetSize();
	self:SetPosition(FlashDim,FlashDim);
	self:SetSize(w-FlashDim*2,h-FlashDim*2);
	self:SetVisible(true);
	self:SetBackColor(self.color);
	self.top:SetPosition(0,0);
	self.top:SetSize(w,FlashDim);
	self.top:SetBackColor(self.color);
	self.bot:SetPosition(0,h-FlashDim);
	self.bot:SetSize(w,FlashDim);
	self.bot:SetBackColor(self.color);
	self.left:SetPosition(0,FlashDim);
	self.left:SetSize(FlashDim,h-FlashDim*2);
	self.left:SetBackColor(self.color);
	self.right:SetPosition(w-FlashDim,FlashDim);
	self.right:SetSize(FlashDim,h-FlashDim*2);
	self.right:SetBackColor(self.color);
	-- Positionne les compteurs
	self.startDth = math.floor(Turbine.Engine.GetGameTime()*FlashTime);
	self.lastDth = 0; 
	self.endDth = wFlash.startDth + FlashTime*1.5; 
	self:SetWantsUpdates(true);	
	if gSettings.debug then
		Includes.Trace("flashStart done.....");
	end
end
function Flash:Constructor()
	Turbine.UI.Window.Constructor(self);
	self:SetMouseVisible(false);
	self.top = Turbine.UI.Window();
	self.top:SetMouseVisible(false);
	self.bot = Turbine.UI.Window();
	self.bot:SetMouseVisible(false);
	self.left = Turbine.UI.Window();
	self.left:SetMouseVisible(false);
	self.right = Turbine.UI.Window();
	self.right:SetMouseVisible(false);
end
function Flash:Update()
	local now = math.floor(Turbine.Engine.GetGameTime()*FlashTime);
	if now > self.endDth then
		self:SetWantsUpdates(false);
		self:SetVisible(false);
		self.top:SetVisible(false);
		self.bot:SetVisible(false);
		self.left:SetVisible(false);
		self.right:SetVisible(false);
	elseif self.lastDth ~= now then
		self.lastDth = now;
		local v = self.lastDth-self.startDth;
		if v > FlashTime and self:IsVisible() then
			self:SetVisible(false);
		else
			self:SetBackColor(Turbine.UI.Color(0.5*(FlashTime-v)/FlashTime,self.color.R,self.color.G,self.color.B));
		end
		local c = (v % 3) == 0;
		if gSettings.debug then
			Includes.Trace("v=" .. v);
		end
		self.top:SetVisible(c);
		self.bot:SetVisible(c);
		self.left:SetVisible(c);
		self.right:SetVisible(c);
	end
end



wFlash = Flash();

