
-- Classe de gestion d'un Tooltip


Tooltip = class();

function Tooltip:Show(key)
	if self.lastKey == key then
		return;
	end
	self.lastKey = key;
	local t = gLang[key];
	if t==nil then
		t = key;
	end
	local scX = Turbine.UI.Display.GetMouseX();
	local scY = Turbine.UI.Display.GetMouseY();
	if gSettings.debug then
		Includes.Trace("scX=" .. scX .. " scY=" .. scY);
	end
	self.window:SetPosition(scX,scY+30);
	self.window:SetVisible(true);
	self.label:SetText(t);
	Includes.Onscreen(self.window);
	self.window:Activate();
end

function Tooltip:Hide()
	self.lastKey= nil;
	self.window:SetVisible(false);
	if gSettings.debug then
		Includes.Trace("out");
	end
end

function Tooltip:Constructor()
	self.window = Turbine.UI.Window();
  	self.window:SetSize(300,70);
  	self.window:SetPosition(0,0);
  	self.window:SetBackColor(Turbine.UI.Color( 0.7,0.7,0.7 ));
  	self.window:SetZOrder(10001);
  	self.label = Turbine.UI.Label();
  	self.label:SetPosition(2,2);
  	self.label:SetSize(296,66);
  	self.label:SetBackColor(Turbine.UI.Color( 0.1,0.1,0.1));
  	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
  	self.label:SetParent(self.window);
  	self.label:SetVisible(true);
end

function Tooltip:On(ctrl,txt)
	if txt ~= nil and ctrl~= nil then
		ctrl.MouseLeave = function()
			self:Hide();
		end
		ctrl.MouseHover = function()
			self:Show(txt);
		end
	end
end

-- Instanciation d'un tooltip et c'est tout ^^
wTooltip = Tooltip();